%global module Mojolicious-Plugin-Bootstrap3
%global upstream_version 3.3601

%{?perl_default_filter}

Name:           perl-%{module}
Version:       %perl_convert_version %{upstream_version}
Release:        %mkrel 2
Summary:        Mojolicious + http://getbootstrap.com/
License:        Artistic 2.0
Group:		Development/Perl
# also available via github: https://github.com/jhthorsen/mojolicious-plugin-bootstrap3
URL:            http://metacpan.org/release/%{module}
Source0:        http://www.cpan.org/modules/by-module/Mojolicious/%{module}-%{upstream_version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Mojo::Base)
BuildRequires:  perl(Mojolicious) >= 6.00
BuildRequires:  perl(Mojolicious::Plugin)
BuildRequires:  perl(Mojolicious::Plugin::AssetPack) >= 0.670
BuildRequires:  perl(Mojo::Util)
BuildRequires:  perl(Test::Mojo)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(constant)
# (doktor5000) not added via automatic Requires generation
# require for additional content, and also require minimum version
Requires:       perl(Mojolicious::Plugin::AssetPack) >= 0.670

%description
Mojolicious::Plugin::Bootstrap3 is used to include http://getbootstrap.com/
CSS and JavaScript files into your project.

%prep
%setup -q -n Mojolicious-Plugin-Bootstrap3-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install
%{_fixperms} %{buildroot}/*

%files
%doc Changes README
%{perl_vendorlib}/Mojolicious*
%{_mandir}/man3/Mojolicious*



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.360.100-2.mga6
+ Revision: 1030305
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3.360.100-1.mga6
+ Revision: 1002159
- New version 3.3601

* Tue Dec 22 2015 doktor5000 <doktor5000> 3.350.500-1.mga6
+ Revision: 913451
- adapt to Mageia
- adapt to Mageia perl policy
  o replace URL and Source
  o added upstream github URL in comment
  o remove explicit versionned Requires on perl itself
  o adjust version on BuildRequires Mojolicious::Plugin::AssetPack
  o added comment for explicit Requires on perl(Mojolicious::Plugin::AssetPack)
- add Group
- imported package perl-Mojolicious-Plugin-Bootstrap3 for openQA


* Fri Oct 16 2015 Adam Williamson <awilliam@redhat.com> - 3.3505-1.1aw
- address issues noted in package review, versioned not to conflict

* Mon Sep 28 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 3.3505-1
- Update to 3.3505

* Fri Sep 25 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 3.3502-1
- Update to 3.3502

* Sun Aug 16 2015 Emmanuel Seyman <emmanuel@seyman.fr> 3.3501-1
- Specfile autogenerated by cpanspec 1.78.
